/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 rlpP.pov
 
 Here's a demonstration of how you might make fonts with the rlp macros.
 
*/
  ////
 //   example   //    
//_____________//     
#version 3.7;
#global_settings {charset utf8 assumed_gamma 1.0}
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
//************************************|*******************|*******************|*******************|*******************|*******************|*******************|
CL_rlp_make_text_string_set(1)
#declare letter_dimensions = array[4]{0,0,0,0}; // Don't comment out
//
//#declare text_string = object{CL_rlp_elastic_left_harpoon(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,2.0,letter_dimensions) 
//       pigment{rgb 1} finish{ambient 0 specular 1}}      
//object{text_string translate <-letter_dimensions[0]/2,0,0>}
//#declare text_string = object{CL_rlp_rightarrow(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
//       pigment{rgb 1} finish{ambient 0 specular 1}}      
//object{text_string translate <-letter_dimensions[0]/2,0,0>}
//#declare text_string = object{CL_rlp_left_right_harpoons(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions) 
//       pigment{rgb 1} finish{ambient 0 specular 1}}      
//object{text_string translate <-letter_dimensions[0]/2,0,0>} 
//#declare box_dimensions = array[5]{2,2,0.3,0.5,0.2};
//#declare text_string = object{CL_rlp_hollow_rounded_box(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,box_dimensions,letter_dimensions) 
//       pigment{rgb 1} finish{ambient 0 specular 1}}      
//object{text_string translate <-letter_dimensions[0]/2,0,0>} 
//#declare text_string = object{CL_rlp_oplus(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions)
//                              pigment{rgb 1} finish{ambient 0 specular 1}}
//object{text_string translate <-letter_dimensions[0]/2-1,0,0>}
#declare text_string = object{CL_rlp_infinity(CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,letter_dimensions)
                              pigment{rgb 1} finish{ambient 0 specular 1}}
object{text_string translate <-letter_dimensions[0]/2,0,0>}

cylinder{<-2,0.9,0> <2,0.9,0> 0.01 pigment{Green}}
//
  ////
 //  end example  //
//_______________//
light_source{<0,0,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }
//
camera{orthographic location<0,0.9,-12> look_at <0,0.9,0> angle 15 }
//
//plane{y,-1
//  pigment{rgb .5}
//  finish{ambient 0}
//     }